=== debian/control ===
Source: terminaltables3
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-colorama,
 python3-colorclass,
 python3-poetry,
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-termcolor,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/matthewdeanmartin/terminaltables3
Testsuite: autopkgtest-pkg-python

Package: python-terminaltables3-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Recommends:
 python3-terminaltables3,
Breaks:
 python3-terminaltables3-doc,
Replaces:
 python3-terminaltables3-doc,
Description: Documentation for terminaltables3 table printer
 Easily draw tables in terminal/console applications from a list of lists of
 strings.
 .
 This package contains the documentation for terminaltables3.

Package: python3-terminaltables3
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-terminaltables3-doc,
Description: Python library for printing tables to the console
 Easily draw tables in terminal/console applications from a list of lists of
 strings.
 .
 Supports: multi-line rows, table titles, POSIX and Windows, Wide CJK
 (Chinese/Japanese/Korean) characters are displayed correctly, RTL Arabic and
 Hebrew characters are aligned correctly, alignment and justification.
 Colored text is supported through colorclass, colorama, termcolor, or just
 plain ANSI escape codes.
 .
 This package provides the Python 3 module.
