=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/terminaltables3-$1\.tar\.gz/ \
https://github.com/matthewdeanmartin/terminaltables3/tags .*/v?(\d\S+)\.tar\.gz
